WordPress.org

Support

Support » Plugins and Hacks » [Plugin: WP-PostViews] The plugin works with the 3.1 update.

[Plugin: WP-PostViews] The plugin works with the 3.1 update.

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author Lester Chan

    @gamerz

    Personally i have 2 sites that uses it and both site work fine.

    Actually the sql-syntax in wp-postviews.php on line 224 has an error in it, breaking the code.

    In the end there is “ORDER BY” with an extra space in between the words.
    Just remove one of the spaces, save the file and it will work fine.

    Plugin Author Lester Chan

    @gamerz

    Thanks! Fixed it

    I can see that you have changed the way the plugin returns the output if you have the variable $display, set to false.

    This version always formats the display according to the template set in the options, and always returns a html string as the output.

    I want to display most_viewed post differently on my page and therefore I looped throw the output myself accordingly.

    Now I can’t anymore, and I can’t specify different templates for different places on my site. This change breaks my page…

    Why have you moved the if( ! $display ) return $most_viewed down to after the templating? Maybe you can let me specify the variable $views_options[‘most_viewed_template’] as a input when I call the function get_most_viewed() or maybe you can let me specify a “plz just return the database result”-flag. A last suggestion is that you put a filter or a action in there, so that I can use the output before the template.

    Thx WpGuru

    Plugin Author Lester Chan

    @gamerz

    Hmm, I don’t remember touching the most_viewed() function, it has all the while been like that.

    not working for me either after 3.1 update. I still have the same amount of traffic, but post views doesn’t seem to be counting like it did before. I have 1 or 2 views when I used to have 50 to 100 or more daily.

    Plugin Author Lester Chan

    @gamerz

    You have any caching plugins? One of my users have a conflict in JS with his plugins.

    nope don’t have any caching plugins set up. I’m using jquery 1.5.0 on the site…could that cause it?

    Plugin Author Lester Chan

    @gamerz

    Nope, it doesn’t use jQuery at all if you are not using any caching plugin.

    Does it work on the default theme?

    Me does not work in version 3.1.
    What can be?
    I have the plugin wp-cache has been installed.

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Plugin: WP-PostViews] The plugin works with the 3.1 update.’ is closed to new replies.